<html>
<head>
<title>Ogre::RTShader::ParameterFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html">ParameterFactory</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RTShader::ParameterFactory Class Reference<div class="ingroups"><a class="el" href="group__RTShader.html">RTShader</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RTShader::ParameterFactory" -->
<p>Helper utility class that creates common parameters.  
 <a href="classOgre_1_1RTShader_1_1ParameterFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShaderParameter_8h_source.html">OgreShaderParameter.h</a>&gt;</code></p>

<p><a href="classOgre_1_1RTShader_1_1ParameterFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#abdb37db84bb6494b6d0be0c9c2b13b73">createInPosition</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#aac159df02f9d38f97074da632e33e5c7">createOutPosition</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a4e641bf17c16a7cc65bea17b849cfa37">createInNormal</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a2b3190c854a26190034080a2734645af">createInWeights</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a8de67119ab14a1f1df19893ddf37c5d0">createInIndices</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a09263364591be6dc45b9180d7d924017">createOutNormal</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a6d0c5060af9faf5645a08dc87723b170">createInBiNormal</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ad7175b91afc6f9d5d4c3fbdf14f23a02">createOutBiNormal</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a3ba403b530b24496520244d96e0a1257">createInTangent</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ad0461fc33fb6bbb8ebb1d732f2ccb17a">createOutTangent</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a03888f5210bf17cc1350793c72e2a4ce">createInColor</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#adc993ce92bf6f96b4010ce4ae3e4d7a0">createOutColor</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ae1e6ad891b88b61a9f16c9f7fd15d993">createInTexcoord</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type, int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ad1bf68269aadb9f521d3168090e7bd11">createOutTexcoord</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type, int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a61605f8cfa076c8b6260e6a9addf1dcd">createInTexcoord1</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ae7b55cb7a4262f3e3e908f9281264ff1">createOutTexcoord1</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a94b45b909bce9ca84d326b4d73a31190">createInTexcoord2</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a2c9063d96e1382080e11a43ce6b6ceac">createOutTexcoord2</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a675147fb512fae0361d43fcdb53d271c">createInTexcoord3</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a89605bc4d4da908de8712066bd4911ef">createOutTexcoord3</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a765331beb6cc481129ba77314d925b94">createInTexcoord4</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a9ba0527e828e863dc7efb0e881159019">createOutTexcoord4</a> (int index, <a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a> content)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a05d541bf544cfe1efeef9f11404a47ac">createConstParamVector2</a> (<a class="el" href="classOgre_1_1Vector2.html">Vector2</a> val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#adbd2c5dda5465f998d1e129176cd57bb">createConstParamVector3</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a801f69c3a7e7124b5361b3a3eeb74536">createConstParamVector4</a> (<a class="el" href="classOgre_1_1Vector4.html">Vector4</a> val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#afd287bd3d8b99b7dedd72a07101ced75">createConstParamFloat</a> (float val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a0339e1b0f5da7d6b7bd78dd005e6bdf8">createSampler</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type, int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a5df4c21fa96cbc283fc585c38c953c96">createSampler1D</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a40e4b32d428d14f548dffbb8a45aa494">createSampler2D</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a1d87aa71ff9fd40580f53cc966794347">createSampler2DArray</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a6b3a06ea5c900e44edb8e282c5c25b4d">createSampler3D</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ac7866ca9ab974f86e829648c86d6315b">createSamplerCUBE</a> (int index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a3b8e9af891d4a6e7f68f9b2a8f557cd3">createUniform</a> (<a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a> type, int index, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> variability, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;suggestedName, size_t size)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Helper utility class that creates common parameters. </p>

<p>Definition at line <a class="el" href="OgreShaderParameter_8h_source.html#l00598">598</a> of file <a class="el" href="OgreShaderParameter_8h_source.html">OgreShaderParameter.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afd287bd3d8b99b7dedd72a07101ced75"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createConstParamFloat" ref="afd287bd3d8b99b7dedd72a07101ced75" args="(float val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#afd287bd3d8b99b7dedd72a07101ced75">Ogre::RTShader::ParameterFactory::createConstParamFloat</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a05d541bf544cfe1efeef9f11404a47ac"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createConstParamVector2" ref="a05d541bf544cfe1efeef9f11404a47ac" args="(Vector2 val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a05d541bf544cfe1efeef9f11404a47ac">Ogre::RTShader::ParameterFactory::createConstParamVector2</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adbd2c5dda5465f998d1e129176cd57bb"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createConstParamVector3" ref="adbd2c5dda5465f998d1e129176cd57bb" args="(Vector3 val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#adbd2c5dda5465f998d1e129176cd57bb">Ogre::RTShader::ParameterFactory::createConstParamVector3</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a801f69c3a7e7124b5361b3a3eeb74536"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createConstParamVector4" ref="a801f69c3a7e7124b5361b3a3eeb74536" args="(Vector4 val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a801f69c3a7e7124b5361b3a3eeb74536">Ogre::RTShader::ParameterFactory::createConstParamVector4</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6d0c5060af9faf5645a08dc87723b170"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInBiNormal" ref="a6d0c5060af9faf5645a08dc87723b170" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a6d0c5060af9faf5645a08dc87723b170">Ogre::RTShader::ParameterFactory::createInBiNormal</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a03888f5210bf17cc1350793c72e2a4ce"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInColor" ref="a03888f5210bf17cc1350793c72e2a4ce" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a03888f5210bf17cc1350793c72e2a4ce">Ogre::RTShader::ParameterFactory::createInColor</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8de67119ab14a1f1df19893ddf37c5d0"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInIndices" ref="a8de67119ab14a1f1df19893ddf37c5d0" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a8de67119ab14a1f1df19893ddf37c5d0">Ogre::RTShader::ParameterFactory::createInIndices</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4e641bf17c16a7cc65bea17b849cfa37"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInNormal" ref="a4e641bf17c16a7cc65bea17b849cfa37" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a4e641bf17c16a7cc65bea17b849cfa37">Ogre::RTShader::ParameterFactory::createInNormal</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abdb37db84bb6494b6d0be0c9c2b13b73"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInPosition" ref="abdb37db84bb6494b6d0be0c9c2b13b73" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#abdb37db84bb6494b6d0be0c9c2b13b73">Ogre::RTShader::ParameterFactory::createInPosition</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3ba403b530b24496520244d96e0a1257"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInTangent" ref="a3ba403b530b24496520244d96e0a1257" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a3ba403b530b24496520244d96e0a1257">Ogre::RTShader::ParameterFactory::createInTangent</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae1e6ad891b88b61a9f16c9f7fd15d993"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInTexcoord" ref="ae1e6ad891b88b61a9f16c9f7fd15d993" args="(GpuConstantType type, int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ae1e6ad891b88b61a9f16c9f7fd15d993">Ogre::RTShader::ParameterFactory::createInTexcoord</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a61605f8cfa076c8b6260e6a9addf1dcd"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInTexcoord1" ref="a61605f8cfa076c8b6260e6a9addf1dcd" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a61605f8cfa076c8b6260e6a9addf1dcd">Ogre::RTShader::ParameterFactory::createInTexcoord1</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a94b45b909bce9ca84d326b4d73a31190"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInTexcoord2" ref="a94b45b909bce9ca84d326b4d73a31190" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a94b45b909bce9ca84d326b4d73a31190">Ogre::RTShader::ParameterFactory::createInTexcoord2</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a675147fb512fae0361d43fcdb53d271c"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInTexcoord3" ref="a675147fb512fae0361d43fcdb53d271c" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a675147fb512fae0361d43fcdb53d271c">Ogre::RTShader::ParameterFactory::createInTexcoord3</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a765331beb6cc481129ba77314d925b94"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInTexcoord4" ref="a765331beb6cc481129ba77314d925b94" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a765331beb6cc481129ba77314d925b94">Ogre::RTShader::ParameterFactory::createInTexcoord4</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2b3190c854a26190034080a2734645af"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createInWeights" ref="a2b3190c854a26190034080a2734645af" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a2b3190c854a26190034080a2734645af">Ogre::RTShader::ParameterFactory::createInWeights</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad7175b91afc6f9d5d4c3fbdf14f23a02"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutBiNormal" ref="ad7175b91afc6f9d5d4c3fbdf14f23a02" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ad7175b91afc6f9d5d4c3fbdf14f23a02">Ogre::RTShader::ParameterFactory::createOutBiNormal</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adc993ce92bf6f96b4010ce4ae3e4d7a0"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutColor" ref="adc993ce92bf6f96b4010ce4ae3e4d7a0" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#adc993ce92bf6f96b4010ce4ae3e4d7a0">Ogre::RTShader::ParameterFactory::createOutColor</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a09263364591be6dc45b9180d7d924017"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutNormal" ref="a09263364591be6dc45b9180d7d924017" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a09263364591be6dc45b9180d7d924017">Ogre::RTShader::ParameterFactory::createOutNormal</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aac159df02f9d38f97074da632e33e5c7"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutPosition" ref="aac159df02f9d38f97074da632e33e5c7" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#aac159df02f9d38f97074da632e33e5c7">Ogre::RTShader::ParameterFactory::createOutPosition</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad0461fc33fb6bbb8ebb1d732f2ccb17a"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutTangent" ref="ad0461fc33fb6bbb8ebb1d732f2ccb17a" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ad0461fc33fb6bbb8ebb1d732f2ccb17a">Ogre::RTShader::ParameterFactory::createOutTangent</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad1bf68269aadb9f521d3168090e7bd11"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutTexcoord" ref="ad1bf68269aadb9f521d3168090e7bd11" args="(GpuConstantType type, int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ad1bf68269aadb9f521d3168090e7bd11">Ogre::RTShader::ParameterFactory::createOutTexcoord</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae7b55cb7a4262f3e3e908f9281264ff1"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutTexcoord1" ref="ae7b55cb7a4262f3e3e908f9281264ff1" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ae7b55cb7a4262f3e3e908f9281264ff1">Ogre::RTShader::ParameterFactory::createOutTexcoord1</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2c9063d96e1382080e11a43ce6b6ceac"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutTexcoord2" ref="a2c9063d96e1382080e11a43ce6b6ceac" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a2c9063d96e1382080e11a43ce6b6ceac">Ogre::RTShader::ParameterFactory::createOutTexcoord2</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a89605bc4d4da908de8712066bd4911ef"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutTexcoord3" ref="a89605bc4d4da908de8712066bd4911ef" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a89605bc4d4da908de8712066bd4911ef">Ogre::RTShader::ParameterFactory::createOutTexcoord3</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9ba0527e828e863dc7efb0e881159019"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createOutTexcoord4" ref="a9ba0527e828e863dc7efb0e881159019" args="(int index, Parameter::Content content)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a9ba0527e828e863dc7efb0e881159019">Ogre::RTShader::ParameterFactory::createOutTexcoord4</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RTShader_1_1Parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7">Parameter::Content</a>&#160;</td>
          <td class="paramname"><em>content</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0339e1b0f5da7d6b7bd78dd005e6bdf8"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createSampler" ref="a0339e1b0f5da7d6b7bd78dd005e6bdf8" args="(GpuConstantType type, int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a0339e1b0f5da7d6b7bd78dd005e6bdf8">Ogre::RTShader::ParameterFactory::createSampler</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5df4c21fa96cbc283fc585c38c953c96"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createSampler1D" ref="a5df4c21fa96cbc283fc585c38c953c96" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a5df4c21fa96cbc283fc585c38c953c96">Ogre::RTShader::ParameterFactory::createSampler1D</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a40e4b32d428d14f548dffbb8a45aa494"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createSampler2D" ref="a40e4b32d428d14f548dffbb8a45aa494" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a40e4b32d428d14f548dffbb8a45aa494">Ogre::RTShader::ParameterFactory::createSampler2D</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1d87aa71ff9fd40580f53cc966794347"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createSampler2DArray" ref="a1d87aa71ff9fd40580f53cc966794347" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a1d87aa71ff9fd40580f53cc966794347">Ogre::RTShader::ParameterFactory::createSampler2DArray</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6b3a06ea5c900e44edb8e282c5c25b4d"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createSampler3D" ref="a6b3a06ea5c900e44edb8e282c5c25b4d" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a6b3a06ea5c900e44edb8e282c5c25b4d">Ogre::RTShader::ParameterFactory::createSampler3D</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac7866ca9ab974f86e829648c86d6315b"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createSamplerCUBE" ref="ac7866ca9ab974f86e829648c86d6315b" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#ac7866ca9ab974f86e829648c86d6315b">Ogre::RTShader::ParameterFactory::createSamplerCUBE</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3b8e9af891d4a6e7f68f9b2a8f557cd3"></a><!-- doxytag: member="Ogre::RTShader::ParameterFactory::createUniform" ref="a3b8e9af891d4a6e7f68f9b2a8f557cd3" args="(GpuConstantType type, int index, uint16 variability, const String &amp;suggestedName, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a> <a class="el" href="classOgre_1_1RTShader_1_1ParameterFactory.html#a3b8e9af891d4a6e7f68f9b2a8f557cd3">Ogre::RTShader::ParameterFactory::createUniform</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447">GpuConstantType</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>variability</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>suggestedName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShaderParameter_8h_source.html">OgreShaderParameter.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:33
</p>
</body>
</html>
